roar_socket_nonblock(3)

NAME
roar_socket_nonblock - Sets blocking state of a socket

SYNOPSIS

#include <roaraudio.h>

int roar_socket_nonblock(int fh, int state);

DESCRIPTION
Sets the blocking mode of a given filehandle. For information on nonblocking IO see open(2) an look for O_NONBLOCK.

PARAMETERS

fh  The filehandle to set the new state on.

state
    The new state. This may be ROAR_SOCKET_BLOCK to sett blocking or ROAR_SOCKET_NONBLOCK to set nonblocking mode. ROAR_SOCKET_NONBLOCK is the same as setting O_NONBLOCK within open(2).

RETURN VALUE
On success these calls return 0. On error, -1 is returned.

EXAMPLES
FIXME

SEE ALSO
open(2), libroar(7), RoarAudio(7).